<template>
  <!-- 框 -->
  <div class="win">
    <!-- 四个角的边框效果 -->
    <div class="border_corner border_corner_left_top"></div>
    <div class="border_corner border_corner_right_top"></div>
    <div class="border_corner border_corner_left_bottom"></div>
    <div class="border_corner border_corner_right_bottom"></div>
    <div class="main">
      <div class="main-matter">
        <div v-if="value === 'feiqi'">
          <el-row type="flex" class="row-bg row-item-one" justify="space-around">
            <el-col :span="8">监测点名称:{{ displayContentTab2.Name }}</el-col>
            <el-col :span="8">生产单位:{{ displayContentTab2.porltName }}</el-col>
            <el-col :span="8">排放类型名称:{{ displayContentTab2.MonTypeName }}</el-col>
          </el-row>
          <el-row type="flex" class="row-bg" justify="space-around">
            <el-col :span="8">排放去向:{{ displayContentTab.EmissDirecti }}</el-col>
            <el-col :span="8">控制级别名称:{{ displayContentTab.ContrLevelShowName }}</el-col>
            <el-col :span="8">内/外排口:{{ displayContentTab.OrOutPortName }}</el-col>
          </el-row>
        </div>
       <div v-else-if="value === 'gufei'">
         <el-row type="flex" class="row-bg row-item-one" justify="space-around">
           <el-col :span="8">监测点名称:{{ displayContentTab2.StoragePlaceName }}</el-col>
           <el-col :span="8">生产单位:{{ displayContentTab2.StoragePlaceName }}</el-col>
           <el-col :span="8">排放类型加载:{{ displayContentTab2.DesignFloorArea }}</el-col>
         </el-row>
         <el-row type="flex" class="row-bg" justify="space-around">
           <el-col :span="8">排放去向:{{ displayContentTab2.StorageQty }}</el-col>
           <el-col :span="8">控制级别名称:{{ displayContentTab2.SurplusFloorArea }}</el-col>
           <el-col :span="8">内/外排口:{{ displayContentTab2.StorageDate }}</el-col>
         </el-row>
       </div>
        <div v-else-if="value == 'feishui'">
          <el-row type="flex" class="row-bg row-item-one" justify="space-around">
            <el-col :span="8">监测点名称:{{ displayContentTab2.StoragePlaceName }}</el-col>
            <el-col :span="8">生产单位:{{ displayContentTab2.StoragePlaceName }}</el-col>
            <el-col :span="8">排放类型加载:{{ displayContentTab2.DesignFloorArea }}</el-col>
          </el-row>
          <el-row type="flex" class="row-bg" justify="space-around">
            <el-col :span="8">排放去向:{{ displayContentTab2.StorageQty }}</el-col>
            <el-col :span="8">控制级别名称:{{ displayContentTab2.SurplusFloorArea }}</el-col>
            <el-col :span="8">内/外排口:{{ displayContentTab2.StorageDate }}</el-col>
          </el-row>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'GasTable',
  props: ['displayContentTab', 'value'],
  data () {
    return {
      displayContentTab2: []
    }
  },
  mounted () {
    this.$nextTick(() => {
      this.displayContentTab.forEach(item => {
        this.displayContentTab2 = item
      })
    })
  }
}
</script>

<style scoped lang="less">

.win {
  position: relative;
  margin-bottom: 13px;
  background-color: rgba(33, 41, 69,0.9);
}
.main {
  width: 100%;
  height: 100%;
  .main-matter{
    font-size: 13px;
    font-weight: normal;
    padding: 10px 6px;
    border: 1px solid #396d83;
    .row-item-one{
      margin-bottom: 7px;
    }
    .el-row {
      width: 100%;
      color: #00d0f9;
      display: flex;
      font-size: 12px !important;
      .el-col{
        flex: 1;
        width: 100%;
        background-color: #243a55;;
        text-align: center;
        line-height: 28px;
        margin-left: 6px;
        border-radius: 4px;
        &:nth-child(1){
          margin-left:0;
        }
      }
    }
  }
}
.border_corner{
  z-index: 999;
  position: absolute;
  width: 10px;
  height: 10px;
  background: rgba(0,0,0,0);
  border: 1.5px solid #47d5ea;
}
.border_corner_left_top{
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}
.border_corner_right_top{
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}
.border_corner_left_bottom{
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}
.border_corner_right_bottom{
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}
</style>
